System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class performs pattern matching using regular expressions to find Web method return values in text encoded in the body of an HTTP response. The class is called by the client-side class, which deserializes Web service return values.

Text pattern matching provides a way for Web services to retrieve HTML content without converting it to XML documents that must be bound to XML Schema definitions. Regular expression search targets are specified in a Web Services Description Language (WSDL) document via match XML elements within text elements. Both elements belong to the namespace http://microsoft.com/wsdl/mime/textMatching/.

When match elements are specified in a WSDL document, the Wsdl.exe tool applies attributes to the corresponding Web methods in the client proxy class that is generated. A attribute's properties establish the search criteria for a instance.

A developer typically does not need to directly use .

Searches HTTP response text for return values for Web service clients.

- Constructor

  The instance's properties, such as the regular expression to make the search target, are populated based on attributes applied to fields of the return type.

  Creates a instance based on the input type.

  A that specifies the return type for a Web method.
  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  The method's return value is the Web method return value deserialized from the input text.

  Searches a text input to deserialize an object representing a Web method return value.

  An object representing a Web method return value.

  The text to search, which is the body of the HTTP response. 1.0.5000.0 2.0.0.0